Bug 1677620 - Clicking on Host count under Ansible Roles, shows null results.
Summary: Clicking on Host count under Ansible Roles, shows null results.
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Satellite 6
Classification: Red Hat
Component: Search
Version: 6.5.0
Hardware: All
OS: All
unspecified
high vote
Target Milestone: Released
Assignee: Marek Hulan
QA Contact: Omkar Khatavkar
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2019-02-15 11:51 UTC by maneesh verma
Modified: 2019-10-07 17:17 UTC (History)
6 users (show)

Fixed In Version: tfm-rubygem-foreman_ansible-2.2.12
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-05-14 12:40:09 UTC


Attachments (Terms of Use)
Showing host list (77.19 KB, image/png)
2019-03-20 11:22 UTC, Omkar Khatavkar
no flags Details


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2019:1222 None None None 2019-05-14 12:40:23 UTC
Foreman Issue Tracker 26093 None None None 2019-02-20 13:26:30 UTC

Description maneesh verma 2019-02-15 11:51:43 UTC
Description of problem:

When clicking on the Host count under Ansible roles, the search goes to Role search, instead of Hosts search.



How reproducible:

100%


Steps to Reproduce:
1. Click on the Configure tab.
2.Ansible>Roles
3. Select the Host count of Any role.
4. The Search field will change to the role instead of Host.

Actual results:

- Improper search when opening Hosts from Ansible Roles page.

Expected results:

- When clicking on Host number it should display the Hostnames under theAnsible role instead of showing the Ansible role.


Additional info:

Comment 1 Brad Buckingham 2019-02-15 16:07:33 UTC
Is this a regression from 6.4?

Comment 3 Marek Hulan 2019-02-20 13:26:29 UTC
Created redmine issue https://projects.theforeman.org/issues/26093 from this bug

Comment 4 Bryan Kearney 2019-02-20 15:06:59 UTC
Upstream bug assigned to mhulan@redhat.com

Comment 5 Bryan Kearney 2019-02-20 15:07:00 UTC
Upstream bug assigned to mhulan@redhat.com

Comment 8 Bryan Kearney 2019-02-22 13:07:00 UTC
Moving this bug to POST for triage into Satellite 6 since the upstream issue https://projects.theforeman.org/issues/26093 has been resolved.

Comment 9 Omkar Khatavkar 2019-03-20 11:21:17 UTC
Verified with Satellite 6.5 beta version. Now currently it is showing the hostnames attached screenshot.

Comment 10 Omkar Khatavkar 2019-03-20 11:22:00 UTC
Created attachment 1546021 [details]
Showing host list

Comment 13 errata-xmlrpc 2019-05-14 12:40:09 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2019:1222


Note You need to log in before you can comment on or make changes to this bug.